## osc 1.0.0

=== DESCRIPTION ===
Package: osc
Type: Package
Title: Orthodromic Spatial Clustering
Version: 1.0.0
Date: 2016-05-10
Depends: raster, R (>= 2.14)
Suggests: testthat
Author: Steffen Kriewald, Till Fluschnik, Dominik Reusser, Diego Rybski
Maintainer: Steffen Kriewald <kriewald@pik-potsdam.de>
Description: Allows distance based spatial clustering of georeferenced data by implementing the City Clustering Algorithm - CCA. Multiple versions allow clustering for matrix, raster and single coordinates on a plain (euclidean distance) or on a sphere (great-circle or orthodromic distance).
License: GPL
NeedsCompilation: yes
Packaged: 2016-05-10 13:05:35 UTC; kriewald
Repository: CRAN
Date/Publication: 2016-05-10 19:05:05

## osc 0.127

=== debian/changelog ===
osc (0.127-1) unstable; urgency=low

  * New upstream release (Closes: #585124).
  * Update homepage URL.
  * Use sensible-utils (Closes: #584483).

 -- Michal Čihař <nijel@debian.org>  Fri, 11 Jun 2010 09:03:14 +0200

osc (0.126-2) unstable; urgency=low

  * Recommend rpm2cpio and cpio for osc importsrcpkg (LP: #577827).

 -- Michal Čihař <nijel@debian.org>  Mon, 10 May 2010 15:41:34 +0200

osc (0.126-1) unstable; urgency=low

  * New upstream version.
  * Need to build depend on python-urlgrabber.

 -- Michal Čihař <nijel@debian.org>  Fri, 23 Apr 2010 11:07:45 +0200

osc (0.125.5-2) unstable; urgency=low

  * Do not alternatively depend on celementtree, just depend on python >= 2.5.
    (Change was not forwarded to debian maintainer from Ubuntu, but he rather
    spot that when looking at package differences.)

 -- Michal Čihař <nijel@debian.org>  Fri, 05 Mar 2010 10:31:08 +0100

osc (0.125.5-1) unstable; urgency=low

  * New upstream version.
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 11 Feb 2010 16:32:13 +0100

osc (0.125.3-1) unstable; urgency=low

  * New upstream version.
  * Build depend on python, not python-dev.

 -- Michal Čihař <nijel@debian.org>  Fri, 29 Jan 2010 16:13:40 +0100

osc (0.124-2) unstable; urgency=low

  * Do not depend directly on celementtree, prefer python => 2.5 instead
    (Closes: #562456).

 -- Michal Čihař <nijel@debian.org>  Sun, 27 Dec 2009 19:42:50 +0100

osc (0.124-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Dec 2009 13:56:14 +0100

osc (0.123-1) unstable; urgency=low

  * New upstream version.
    - It requires python-m2crypto. 
    - All patches are upstream. 

 -- Michal Čihař <nijel@debian.org>  Tue, 20 Oct 2009 16:21:45 +0200

osc (0.122-2) unstable; urgency=low

  * Simplify debian rules by using dh.
  * Use quilt patch system.
    - Fix not escaped ' in man page.
    - Fix compilation with Python 2.4.
    - Fix non escaped - in man page. 

 -- Michal Čihař <nijel@debian.org>  Fri, 25 Sep 2009 14:38:26 +0200

osc (0.122-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 21 Sep 2009 14:28:50 +0200

osc (0.121.1-1) unstable; urgency=low

  * New upstream release.
  * Update standards to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Sep 2009 11:35:49 +0200

osc (0.120-1) unstable; urgency=low

  * New upstream release.
    - Fixes compatibility with Python 2.4.
    - Fixes some errors in man page.
  * Update standards to 3.8.2.

 -- Michal Čihař <nijel@debian.org>  Tue, 23 Jun 2009 12:03:14 +0200

osc (0.119-1) unstable; urgency=low

  * New upstream release.
  * Drop patches merged upstream, no need for quilt anymore.
  * Man page is now generated upstream.
  * Add gnome-keyring suggests as osc can now use it.

 -- Michal Čihař <nijel@debian.org>  Tue, 16 Jun 2009 15:21:09 +0200

osc (0.117-2) unstable; urgency=low

  * Rediff existing patch.
  * Fix syntax error with with Python 2.4.
  * Add rlog support for srcmd5.
  * Patch help output to be parsable by help2man.

 -- Michal Čihař <nijel@debian.org>  Tue, 05 May 2009 14:15:45 +0200

osc (0.117-1) unstable; urgency=low

  * New upstream version.
  * Change watch file to use tarballs now exported by buildservice.
  * Update README.source:
    - Mention quilt (it replaced dpatch in 0.114-1).
    - No need to extract sources from rpm.
  * Updated man page.

 -- Michal Čihař <nijel@debian.org>  Tue, 05 May 2009 12:28:35 +0200

osc (0.116-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Thu, 16 Apr 2009 11:05:37 +0200

osc (0.115-1) unstable; urgency=low

  * New upstream version.
  * Update standards to 3.8.1 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Wed, 18 Mar 2009 08:37:40 +0100

osc (0.114-1) unstable; urgency=low

  * New upstream version.
  * Update man page.
  * Switch to quilt from dpatch.
  * Update documentation list to match current state.
  * Update debian/copyright to machine readable.
  * Use override_dh instead of parameters to dh in debian/rules.
  * Switch to python-support.

 -- Michal Čihař <nijel@debian.org>  Thu, 05 Mar 2009 16:35:46 +0100

osc (0.113-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 26 Jan 2009 09:13:58 +0100

osc (0.112-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Improve extended description.

 -- Michal Čihař <nijel@debian.org>  Thu, 22 Jan 2009 17:47:31 +0100

osc (0.111-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 01 Dec 2008 09:09:13 +0100

osc (0.110-1) unstable; urgency=low

  [ Michal Čihař ]
  * New upstream version.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Michal Čihař <nijel@debian.org>  Mon, 24 Nov 2008 16:18:25 +0100

osc (0.109-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Oct 2008 15:18:43 +0200

osc (0.108-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Sep 2008 12:36:13 +0200

osc (0.107-2) unstable; urgency=low

  * Add missing dependency on python-rpm.

 -- Michal Čihař <nijel@debian.org>  Tue, 22 Jul 2008 16:34:57 +0200

osc (0.107-1) unstable; urgency=low

  * New upstream version.
  * Split long line in debian/copyright.
  * Update README.source to match current versioning and patch system.

 -- Michal Čihař <nijel@debian.org>  Tue, 22 Jul 2008 10:31:56 +0200

osc (0.106-1) unstable; urgency=low

  * New upstream version.
    - Update patch.
  * Switch to debhelper 7.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Jul 2008 08:48:57 +0200

osc (0.104-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Tue, 17 Jun 2008 20:57:00 +0200

osc (0.103-1) unstable; urgency=low

  * New upstream version.
  * Update to standards 3.8.0.



=== debian/control ===
Source: osc
Section: devel
Priority: extra
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python, python-support (>= 0.5.3), python-urlgrabber
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/osc/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/osc/trunk/
Homepage: http://wiki.opensuse.org/openSUSE:OSC

Package: osc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.5), python-urlgrabber, python-rpm, python-m2crypto
Recommends: rpm2cpio, cpio, sensible-utils
XB-Python-Version: ${python:Versions}
Suggests: python-gnomekeyring, gnome-keyring
Description: OpenSUSE (buildsystem) commander
 Commandline client for the openSUSE Build Service, which allows to access
 repositories in the openSUSE Build Service in similar way as Subversion
 repositories.
 .
 The openSUSE Build Service is service that allows developers to  package
 software for all major Linux distributions.

## osc 0.128

=== debian/changelog ===
osc (0.128-1) unstable; urgency=low

  * New upstream release.
    - Single patch merged upstream.
  * Bump standards to 3.9.0.

 -- Michal Čihař <nijel@debian.org>  Mon, 19 Jul 2010 11:08:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: python, python-support (>= 0.5.3), python-urlgrabber
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/osc/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/osc/trunk/
 Homepage: http://wiki.opensuse.org/openSUSE:OSC

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_install:
	dh_auto_install
	# Give the binary sane name
	mv $(CURDIR)/debian/osc/usr/bin/osc-wrapper.py $(CURDIR)/debian/osc/usr/bin/osc
	# Not needed
	rm $(CURDIR)/debian/osc/usr/bin/osc_hotshot.py

=== debian/watch ===
version=3

http://download.opensuse.org/repositories/openSUSE:/Tools/Debian_5.0/osc_([0-9.]*).orig.tar.gz

## osc 0.130.1

=== debian/changelog ===
osc (0.130.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 20 Dec 2010 09:31:05 +0100

osc (0.130-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 09 Dec 2010 10:28:08 +0100

osc (0.129-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use build service API instead of result of build of
    Debian package there.
  * Bump standards to 3.9.1.

 -- Michal Čihař <nijel@debian.org>  Tue, 31 Aug 2010 16:50:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: python, python-support (>= 0.5.3), python-urlgrabber
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/osc/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/osc/trunk/
 Homepage: http://wiki.opensuse.org/openSUSE:OSC

=== debian/watch ===
version=3

https://build.opensuse.org/package/files?package=osc&project=openSUSE%3ATools https://api.opensuse.org/public/source/openSUSE:Tools/osc/osc-([0-9.]*).tar.gz.*

## osc 0.132.4

=== debian/changelog ===
osc (0.132.4-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 20 Jun 2011 13:10:39 +0200

osc (0.132.3-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file for new upstream location.

 -- Michal Čihař <nijel@debian.org>  Mon, 13 Jun 2011 08:40:55 +0200

osc (0.132.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Jun 2011 16:18:34 +0200

osc (0.132.0-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Jun 2011 12:06:58 +0200

osc (0.131.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 04 May 2011 09:49:12 +0200

osc (0.131-1) unstable; urgency=low

  * New upstream release.
  * Fix output of recommended package when osc-source-validator is not
    installed.
  * Fix watch file.
  * Migrate to dh_python2.
  * Bump standards to 3.9.2.
  * Fix typo in description.

 -- Michal Čihař <nijel@debian.org>  Thu, 28 Apr 2011 11:12:30 +0200

osc (0.130.1-2) unstable; urgency=low

  * Recommend osc-source-validator.

 -- Michal Čihař <nijel@debian.org>  Tue, 04 Jan 2011 16:42:11 +0100

## osc 0.132.6

=== debian/changelog ===
osc (0.132.6-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: Improper sanitization of terminal emulator escape
    sequences when displaying build log and build status (LP: #1197639)
    - debian/patches/CVE-2012-1095.patch: osc/core.py(print_buildlog): strip
      terminal control chars, except new lines from build logs. Based on
      upstream patch.
    - CVE-2012-1095

 -- Christian Kuersteiner <ckuerste@gmx.ch>  Tue, 16 Jul 2013 11:44:28 +0700

osc (0.132.6-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 30 Aug 2011 10:26:00 +0200

osc (0.132.5-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 02 Aug 2011 15:07:38 +0200

=== debian/control ===
Source: osc
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/osc/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/osc/trunk/
Homepage: http://wiki.opensuse.org/openSUSE:OSC
X-Python-Version: >= 2.5

Package: osc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-urlgrabber, python-rpm, python-m2crypto
Recommends: rpm2cpio, cpio, sensible-utils, osc-source-validator
Suggests: python-gnomekeyring, gnome-keyring
Description: OpenSUSE (buildsystem) commander
 Commandline client for the openSUSE Build Service, which allows one to access
 repositories in the openSUSE Build Service in similar way as Subversion
 repositories.
 .
 The openSUSE Build Service is service that allows developers to  package
 software for all major Linux distributions.

## osc 0.133.1

=== debian/changelog ===
osc (0.133.1-1) unstable; urgency=low

  * New upstream release.
  * osc-source-validator is not needed anymore

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Jan 2012 12:13:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: osc
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michal Čihař <nijel@debian.org>
+Maintainer: Michal Čihař <nijel@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber
@@ -15,7 +14,7 @@
 Package: osc
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-urlgrabber, python-rpm, python-m2crypto
-Recommends: rpm2cpio, cpio, sensible-utils, osc-source-validator
+Recommends: rpm2cpio, cpio, sensible-utils
 Suggests: python-gnomekeyring, gnome-keyring
 Description: OpenSUSE (buildsystem) commander
  Commandline client for the openSUSE Build Service, which allows one to access

## osc 0.134.0

=== debian/changelog ===
osc (0.134.0-1) unstable; urgency=low

  * New upstream rlease.
  * Bump standards to 3.9.3.
  * Update debian/copyright to match current specification.

 -- Michal Čihař <nijel@debian.org>  Wed, 14 Mar 2012 09:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/osc/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/osc/trunk/
 Homepage: http://wiki.opensuse.org/openSUSE:OSC

## osc 0.134.1

=== debian/changelog ===
osc (0.134.1-2+deb7u1) stable; urgency=high

  * Fix shell injection (Closes: #780410, CVE-2015-0778).

 -- Michal Čihař <nijel@debian.org>  Tue, 17 Mar 2015 09:19:04 +0100

osc (0.134.1-2) unstable; urgency=low

  * Fix upstream homepage link.

 -- Michal Čihař <nijel@debian.org>  Mon, 25 Jun 2012 15:00:26 +0200

osc (0.134.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 11 Apr 2012 11:57:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/osc/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/osc/trunk/
-Homepage: http://wiki.opensuse.org/openSUSE:OSC
+Homepage: http://en.opensuse.org/openSUSE:OSC
 X-Python-Version: >= 2.5
 
 Package: osc

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_install:
	dh_auto_install --with python2
	# Give the binary sane name
	mv $(CURDIR)/debian/osc/usr/bin/osc-wrapper.py $(CURDIR)/debian/osc/usr/bin/osc
	# Not needed
	rm $(CURDIR)/debian/osc/usr/bin/osc_hotshot.py

=== debian/watch ===
version=3

https://build.opensuse.org/package/files?package=osc&project=openSUSE%3AFactory https://api.opensuse.org:443/public/source/openSUSE:Factory/osc/osc-([0-9.]*)\.tar\.gz.*

## osc 0.136.0

=== debian/changelog ===
osc (0.136.0-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 25 Oct 2012 13:08:20 +0200

osc (0.135.1-1) unstable; urgency=low

  * New upstream release.
    - Incorporates better encoding detection (Closes: #682261).

 -- Michal Čihař <nijel@debian.org>  Tue, 11 Sep 2012 09:13:59 +0200

## osc 0.140.1

=== debian/changelog ===
osc (0.140.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards to 3.9.4.
  * Use debhelper 9.

 -- Michal Čihař <nijel@debian.org>  Mon, 08 Jul 2013 09:50:30 +0200

osc (0.139.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Michal Čihař ]
  * New upstream release.
  * Recommend python-keyring (should be now optional) (Closes: #688909, 
    LP: #995263).
  * Depends on ca-certificates (Closes: #703982).
  * Fixed watch file.

 -- Michal Čihař <nijel@debian.org>  Tue, 07 May 2013 09:35:51 +0200

=== debian/control ===
Source: osc
Section: devel
Priority: extra
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/osc/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/osc/trunk/
Homepage: http://en.opensuse.org/openSUSE:OSC
X-Python-Version: >= 2.5

Package: osc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-urlgrabber, python-rpm, python-m2crypto, ca-certificates
Recommends: rpm2cpio, cpio, sensible-utils, python-keyring
Suggests: python-gnomekeyring, gnome-keyring
Description: OpenSUSE (buildsystem) commander
 Commandline client for the openSUSE Build Service, which allows one to access
 repositories in the openSUSE Build Service in similar way as Subversion
 repositories.
 .
 The openSUSE Build Service is service that allows developers to  package
 software for all major Linux distributions.

## osc 0.142.2

=== debian/changelog ===
osc (0.142.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards to 3.9.5.

 -- Michal Čihař <nijel@debian.org>  Mon, 09 Dec 2013 19:21:36 +0100

osc (0.141.0-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 31 Oct 2013 09:31:02 +0100

## osc 0.143.0

=== debian/changelog ===
osc (0.143.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 30 Jan 2014 09:34:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/osc/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/osc/trunk/
 Homepage: http://en.opensuse.org/openSUSE:OSC

## osc 0.147.0

=== debian/changelog ===
osc (0.147.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix Vcs-Svn URL.

 -- Michal Čihař <nijel@debian.org>  Wed, 27 Aug 2014 09:43:23 +0200

osc (0.146.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 27 May 2014 13:21:28 +0200

osc (0.145.0-1) unstable; urgency=low

  * New upstream release.
  * Adjust Vcs-Svn URL.

 -- Michal Čihař <nijel@debian.org>  Tue, 08 Apr 2014 15:24:47 +0200

osc (0.144.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 03 Mar 2014 09:41:50 +0100

## osc 0.149.0

=== debian/changelog ===
osc (0.149.0-1) unstable; urgency=medium

  * New upstream release.
    - All patches merged upstream. 

 -- Michal Čihař <nijel@debian.org>  Wed, 22 Oct 2014 09:04:16 +0200

osc (0.148.2-1) unstable; urgency=medium

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Tue, 14 Oct 2014 08:29:11 +0200

osc (0.148.1-2) unstable; urgency=medium

  * Fixed commiting new package (Closes: #762825).

 -- Michal Čihař <nijel@debian.org>  Mon, 06 Oct 2014 09:50:04 +0200

osc (0.148.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.6.

 -- Michal Čihař <nijel@debian.org>  Mon, 22 Sep 2014 10:40:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/osc/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/osc/trunk/
 Homepage: http://en.opensuse.org/openSUSE:OSC

## osc 0.152.0

=== debian/changelog ===
osc (0.152.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 02 Jul 2015 09:44:20 +0200

osc (0.151.2-2) unstable; urgency=medium

  * Fix path to vc command (Closes: #785332).
  * Update debian/copyright.

 -- Michal Čihař <nijel@debian.org>  Fri, 15 May 2015 10:26:53 +0200

osc (0.151.2-1) unstable; urgency=medium

  * New upstream release.
    - Shell injection patch is now upstream. 

 -- Michal Čihař <nijel@debian.org>  Tue, 28 Apr 2015 09:50:52 +0200

osc (0.149.0-2) unstable; urgency=high

  * Change default build-cmd to obs-build (Closes: #769547).
  * Recommend obs-build.
  * Fix shell injection (Closes: #780410, CVE-2015-0778).

 -- Michal Čihař <nijel@debian.org>  Fri, 13 Mar 2015 16:32:15 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: osc
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-urlgrabber, python-rpm, python-m2crypto, ca-certificates
-Recommends: rpm2cpio, cpio, sensible-utils, python-keyring
+Recommends: rpm2cpio, cpio, sensible-utils, python-keyring, obs-build
 Suggests: python-gnomekeyring, gnome-keyring
 Description: OpenSUSE (buildsystem) commander
  Commandline client for the openSUSE Build Service, which allows one to access

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_install:
	dh_auto_install
	# Give the binary sane name
	mv $(CURDIR)/debian/osc/usr/bin/osc-wrapper.py $(CURDIR)/debian/osc/usr/bin/osc
	# Not needed
	rm $(CURDIR)/debian/osc/usr/bin/osc_hotshot.py

## osc 0.154.0

=== debian/changelog ===
osc (0.154.0-2) unstable; urgency=medium

  * Install bash completion (Closes: #824583).
  * Install tcsh completion.

 -- Michal Čihař <nijel@debian.org>  Wed, 18 May 2016 13:09:19 +0200

osc (0.154.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.8.

 -- Michal Čihař <nijel@debian.org>  Thu, 12 May 2016 09:23:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Michal Čihař <nijel@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-exec
+Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber, dh-python, bash-completion
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/osc/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/osc/trunk/
 Homepage: http://en.opensuse.org/openSUSE:OSC
@@ -14,7 +14,7 @@
 Package: osc
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-urlgrabber, python-rpm, python-m2crypto, ca-certificates
-Recommends: rpm2cpio, cpio, sensible-utils, python-keyring, obs-build
+Recommends: rpm2cpio, cpio, sensible-utils, python-keyring, obs-build, bash-completion
 Suggests: python-gnomekeyring, gnome-keyring
 Description: OpenSUSE (buildsystem) commander
  Commandline client for the openSUSE Build Service, which allows one to access

## osc 0.155.0

=== debian/changelog ===
osc (0.155.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 01 Aug 2016 11:45:18 +0200

osc (0.154.0-4) unstable; urgency=medium

  * Adjust package description (it's Open Build Service for ages).
  * Update Maintainer, Uploaders and VCS for pkg-rpm team.

 -- Michal Čihař <nijel@debian.org>  Wed, 27 Jul 2016 12:53:25 +0200

osc (0.154.0-3) unstable; urgency=medium

  * Add patch to make build reproducible (Closes: #826093).
  * Make python-rpm dependency optional, it's not needed anymore when
    not manipulating with rpm packages (Closes: #828999).

 -- Michal Čihař <nijel@debian.org>  Thu, 07 Jul 2016 11:37:19 +0200

=== debian/control ===
Source: osc
Section: devel
Priority: extra
Maintainer: RPM packaging team <pkg-rpm-devel@lists.alioth.debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 9), dh-exec
Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber, dh-python, bash-completion
Standards-Version: 3.9.8
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-rpm/osc.git
Vcs-Git: git://anonscm.debian.org/pkg-rpm/osc.git
Homepage: http://en.opensuse.org/openSUSE:OSC
X-Python-Version: >= 2.5

Package: osc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-urlgrabber, python-m2crypto, ca-certificates
Recommends: python-rpm, rpm2cpio, cpio, sensible-utils, python-keyring, obs-build, bash-completion
Suggests: python-gnomekeyring, gnome-keyring
Description: Open Build Service commander
 Commandline client for the Open Build Service, which allows one to access
 repositories in the Open Build Service in similar way as Subversion
 repositories.
 .
 The Open Build Service is service that allows developers to package
 software for all major Linux distributions.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,bash-completion
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## osc 0.156.0

=== debian/changelog ===
osc (0.156.0-1) unstable; urgency=medium

  * New upstream release.
  * Use HTTPS in the Vcs-* fields, and use the cgit frontend instead of
    gitweb

 -- Michal Čihař <nijel@debian.org>  Wed, 21 Dec 2016 09:48:46 +0100

osc (0.155.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 20 Sep 2016 13:28:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), dh-exec
 Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber, dh-python, bash-completion
 Standards-Version: 3.9.8
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-rpm/osc.git
-Vcs-Git: git://anonscm.debian.org/pkg-rpm/osc.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-rpm/osc.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-rpm/osc.git
 Homepage: http://en.opensuse.org/openSUSE:OSC
 X-Python-Version: >= 2.5

## osc 0.159.0

=== debian/changelog ===
osc (0.159.0-1) unstable; urgency=medium

  * New upstream release.
    - All patches integrated upstream.
  * Change priority to optional.
  * Bump standards to 4.0.1.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Aug 2017 10:42:53 -0400

osc (0.158.0-1) unstable; urgency=medium

  * New upstream release.
  * Do not sugest (deprecated) python-gnomekeyring. There is support
    for python-keyring already which is preferred upstream 
    (Closes: #844158).
  * Bump standards to 4.0.0.
  * Apply upstream patch to work with both osc-build and build 
    (Closes: #867680).

 -- Michal Čihař <nijel@debian.org>  Mon, 10 Jul 2017 20:14:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: osc
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: RPM packaging team <pkg-rpm-devel@lists.alioth.debian.org>
 Uploaders: Michal Čihař <nijel@debian.org>
 Build-Depends: debhelper (>= 9), dh-exec
 Build-Depends-Indep: python (>= 2.6.6-3~), python-urlgrabber, dh-python, bash-completion
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/git/pkg-rpm/osc.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-rpm/osc.git
 Homepage: http://en.opensuse.org/openSUSE:OSC
@@ -15,7 +15,6 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-urlgrabber, python-m2crypto, ca-certificates
 Recommends: python-rpm, rpm2cpio, cpio, sensible-utils, python-keyring, obs-build, bash-completion
-Suggests: python-gnomekeyring, gnome-keyring
 Description: Open Build Service commander
  Commandline client for the Open Build Service, which allows one to access
  repositories in the Open Build Service in similar way as Subversion

## osc 0.162.1

=== debian/changelog ===
osc (0.162.1-1) unstable; urgency=medium

  * New upstream release.
    - Contains osc part of hardening for CVE-2017-9274 (Closes: #887391).
  * Bump standards to 4.1.3.

 -- Michal Čihař <nijel@debian.org>  Tue, 23 Jan 2018 09:47:02 +0100

osc (0.161.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Fri, 17 Nov 2017 15:59:43 +0100

osc (0.160.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.1.1.

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Oct 2017 08:21:37 +0200

=== debian/control ===
Source: osc
Maintainer: RPM packaging team <pkg-rpm-devel@lists.alioth.debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec
Build-Depends-Indep: python,
                     python-urlgrabber,
                     dh-python,
                     bash-completion
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/git/pkg-rpm/osc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-rpm/osc.git
Homepage: http://en.opensuse.org/openSUSE:OSC
X-Python-Version: >= 2.5

Package: osc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-urlgrabber,
         python-m2crypto,
         ca-certificates
Recommends: python-rpm,
            rpm2cpio,
            cpio,
            sensible-utils,
            python-keyring,
            obs-build,
            bash-completion
Description: Open Build Service commander
 Commandline client for the Open Build Service, which allows one to access
 repositories in the Open Build Service in similar way as Subversion
 repositories.
 .
 The Open Build Service is service that allows developers to package
 software for all major Linux distributions.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+override_dh_clean:
+	# Exclude testsuite data
+	dh_clean --exclude=foo.orig
+
 override_dh_auto_install:
 	dh_auto_install
 	# Give the binary sane name

=== debian/watch ===
version=3
http://download.opensuse.org/repositories/openSUSE:/Tools/Debian_6.0/ osc_([0-9.]*).orig.tar.gz

## osc 0.164.2

=== debian/changelog ===
osc (0.164.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.3.0.

 -- Michal Čihař <nijel@debian.org>  Sun, 17 Feb 2019 09:14:59 +0100

osc (0.163.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.2.1.
  * d/copyright: Use https protocol in Format field

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Oct 2018 10:03:31 +0200

osc (0.162.1-3) unstable; urgency=medium

  * Use team address on tracker.debian.org as maintainer (Closes:
    #899630).
  * Move Vcs URLs to Salsa.
  * Bump standards to 4.1.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 31 May 2018 13:12:24 +0200

osc (0.162.1-2) unstable; urgency=medium

  * Incorporate NMU changes (Closes: #898963).
  * Remove constraint on historical Python version.

 -- Michal Čihař <nijel@debian.org>  Thu, 24 May 2018 08:44:29 +0200

osc (0.162.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Merge Build-Depends-Indep into Build-Depends. The python2 and
    bash-completion debhelper sequences are needed for the clean target
    when building a source package, but that target is only guaranteed to
    have the Build-Depends available; and python-urlgrabber turns out to
    also be needed during clean, because it's indirectly imported
    by setup.py. (Closes: #898775)
  * d/p/Disable-ssl-session-resumption.patch:
    Add patch from upstream fixing a segfault when used with
    libssl1.1 (>= 1.1.0h) (Closes: #895035)

 -- Simon McVittie <smcv@debian.org>  Thu, 17 May 2018 21:48:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: osc
-Maintainer: RPM packaging team <pkg-rpm-devel@lists.alioth.debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-exec
-Build-Depends-Indep: python,
-                     python-urlgrabber,
-                     dh-python,
-                     bash-completion
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/git/pkg-rpm/osc.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-rpm/osc.git
+Build-Depends: bash-completion,
+               debhelper (>= 9),
+               dh-exec,
+               dh-python,
+               python,
+               python-urlgrabber
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/osc
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/osc.git
 Homepage: http://en.opensuse.org/openSUSE:OSC
-X-Python-Version: >= 2.5
 
 Package: osc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,3 @@
 	dh_auto_install
 	# Give the binary sane name
 	mv $(CURDIR)/debian/osc/usr/bin/osc-wrapper.py $(CURDIR)/debian/osc/usr/bin/osc
-	# Not needed
-	rm $(CURDIR)/debian/osc/usr/bin/osc_hotshot.py

## osc 0.167.1

=== debian/changelog ===
osc (0.167.1-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Dec 2019 13:54:47 +0100

osc (0.165.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Dec 2019 18:05:37 +0000

osc (0.164.2-2) unstable; urgency=medium

  * QA upload.
  * Switch to python3. Closes: #830873, #937218

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Dec 2019 17:18:03 +0000

=== debian/control ===
Source: osc
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Section: devel
Priority: optional
Build-Depends: bash-completion,
               debhelper-compat (=12),
               dh-exec,
               dh-python,
               python3,
               python3-setuptools,
               python3-m2crypto,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/osc
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/osc.git
Homepage: http://en.opensuse.org/openSUSE:OSC

Package: osc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ca-certificates
Recommends: python3-rpm,
            rpm2cpio,
            cpio,
            sensible-utils,
            python3-keyring,
            obs-build,
            bash-completion
Description: Open Build Service commander
 Commandline client for the Open Build Service, which allows one to access
 repositories in the Open Build Service in similar way as Subversion
 repositories.
 .
 The Open Build Service is service that allows developers to package
 software for all major Linux distributions.

## osc 0.168.2

=== debian/changelog ===
osc (0.168.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 13 Apr 2020 13:58:11 +0200

=== debian/watch ===
version=3
http://download.opensuse.org/repositories/openSUSE:/Tools/Debian_Unstable/ osc_([0-9.]*).orig.tar.gz

## osc 0.169.1

=== debian/changelog ===
osc (0.169.1-1) unstable; urgency=high

  * New upstream release (Closes: #969999, CVE-2019-3681)

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 09 Jan 2021 10:08:08 +0100

osc (0.168.2-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.0, no changes needed.
  * Add the missing python3-m2crypto dependency (Closes: #947547).
  * Install the fish completion file.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 30 Sep 2020 11:18:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2,bash-completion
+	dh $@ --with python3,bash-completion --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=3
https://download.opensuse.org/repositories/openSUSE:/Tools/Debian_Unstable/ osc_([0-9.]*).orig.tar.gz

## osc 0.182.1

=== debian/changelog ===
osc (0.182.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Install README from the new location.
  * Install fish completions to vendor_completions.d.
  * Add a missing dependency for tests.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 06 May 2024 13:39:36 +0200

osc (0.169.1-2) unstable; urgency=medium

  * Don’t check compatibility with IPv4-only M2Crypto versions.
    This makes osc compatible with Python 3.11.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 11 Jan 2023 10:44:26 +0100

osc (0.169.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools 60. (Closes: #1022430)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Nov 2022 18:02:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: devel
 Priority: optional
 Build-Depends: bash-completion,
-               debhelper-compat (=12),
+               debhelper-compat (= 13),
                dh-exec,
                dh-python,
                python3,
                python3-setuptools,
                python3-m2crypto,
-Standards-Version: 4.3.0
+               diffstat <!nocheck>,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/osc
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/osc.git
 Homepage: http://en.opensuse.org/openSUSE:OSC
@@ -20,6 +21,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
+         python3-m2crypto,
          ca-certificates
 Recommends: python3-rpm,
             rpm2cpio,

## osc 1.0.4

=== DESCRIPTION ===
Package: osc
Type: Package
Title: Orthodromic Spatial Clustering
Version: 1.0.4
Date: 2019-03-22
Depends: raster, R (>= 2.14)
Suggests: testthat, maps
Author: Steffen Kriewald, Till Fluschnik, Dominik Reusser, Diego Rybski
Maintainer: Steffen Kriewald <kriewald@pik-potsdam.de>
Description: Allows distance based spatial clustering of georeferenced data by implementing the City Clustering Algorithm - CCA. Multiple versions allow clustering for matrix, raster and single coordinates on a plain (euclidean distance) or on a sphere (great-circle or orthodromic distance).
License: GPL
URL: https://www.pik-potsdam.de/~kriewald/osc/
NeedsCompilation: yes
Packaged: 2019-03-22 10:34:45 UTC; kriewald
Repository: CRAN
Date/Publication: 2019-03-22 13:30:02 UTC

## osc 1.0.5

=== DESCRIPTION ===
Package: osc
Type: Package
Title: Orthodromic Spatial Clustering
Version: 1.0.5
Date: 2019-12-19
Depends: methods, raster, R (>= 2.14)
Suggests: testthat, maps
Author: Steffen Kriewald, Till Fluschnik, Dominik Reusser, Diego Rybski
Maintainer: Steffen Kriewald <kriewald@pik-potsdam.de>
Description: Allows distance based spatial clustering of georeferenced data by implementing the City Clustering Algorithm - CCA. Multiple versions allow clustering for a matrix, raster and single coordinates on a plain (Euclidean distance) or on a sphere (great-circle or orthodromic distance).
License: GPL
URL: https://www.pik-potsdam.de/~kriewald/osc/
NeedsCompilation: yes
Packaged: 2019-12-19 09:40:30 UTC; kriewald
Repository: CRAN
Date/Publication: 2019-12-19 11:10:02 UTC

## osc 1.8.3

=== debian/changelog ===
osc (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Add debian/source/lintian-overrides
  * Drop patches included in upstream release

 -- Dylan Aïssi <daissi@debian.org>  Mon, 05 Aug 2024 12:07:54 +0200

osc (1.7.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update standards version to 4.5.1, no changes needed.

  [ Dylan Aïssi ]
  * Update standards version to 4.7.0, no changes needed.
  * Add superficial autopkgtest
  * Fix syntax osc.lintian-overrides
  * Add python3-argparse-manpage in Build-Deps
  * Build manpage and install in package
  * Create fake $XDG_STATE_HOME allowing tests to use it (Closes: #1077525)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 04 Aug 2024 14:59:49 +0200

osc (1.7.0-4) unstable; urgency=medium

  * Upload to unstable (Closes: #1074680, 1071094).
  * Add Dylan to Uploaders.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 22 Jul 2024 16:28:05 +0200

osc (1.7.0-3) experimental; urgency=medium

  [ Dylan Aïssi ]
  * Update Build-Deps.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 18 Jun 2024 10:50:20 +0200

osc (1.7.0-2) experimental; urgency=medium

  * Apply patches from the upstream:
    - Fix 'mv' command when renaming a file multiple times
    - Fix insecure extraction of 'ar' and 'cpio' archives by
      forbidding extracting files with absolute paths.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 03 Jun 2024 11:35:46 +0200

osc (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Prevent tests from running as fakeroot.
  * Drop no longer necessary patches.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 03 Jun 2024 10:43:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: osc
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
-Uploaders: Andrej Shadura <andrewsh@debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
+ Dylan Aïssi <daissi@debian.org>,
 Section: devel
 Priority: optional
 Build-Depends: bash-completion,
@@ -8,20 +10,24 @@
                dh-exec,
                dh-python,
                python3,
+               python3-argparse-manpage,
+               python3-cryptography,
                python3-setuptools,
-               python3-m2crypto,
+               python3-urllib3,
                diffstat <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/osc
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/osc.git
 Homepage: http://en.opensuse.org/openSUSE:OSC
+Rules-Requires-Root: no
 
 Package: osc
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python3-m2crypto,
+         python3-cryptography,
+         python3-urllib3,
          ca-certificates
 Recommends: python3-rpm,
             rpm2cpio,

=== debian/rules ===
#!/usr/bin/make -f

export HOME=$(CURDIR)/debian/fake-home
export XDG_STATE_HOME =  $(HOME)/.local/state

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_clean:
	# Exclude testsuite data
	dh_clean --exclude=foo.orig

execute_after_dh_auto_build:
	for d in .pybuild/*/build; do ln -sr doc $$d; done
	# build man page
	PYTHONPATH=. argparse-manpage \
		--output=osc.1 \
		--format=single-commands-section \
		--module=osc.commandline \
		--function=get_parser \
		--project-name=osc \
		--prog=osc \
		--description="openSUSE build service command-line tool" \
		--author="Contributors to the osc project." \
		--url="https://github.com/openSUSE/osc/"

ifneq ($(FAKEROOTKEY),)
override_dh_auto_test:
	mkdir -p $(XDG_STATE_HOME)
	LD_PRELOAD= dh_auto_test
endif

override_dh_auto_install:
	dh_auto_install
	# Give the binary sane name
	# mv $(CURDIR)/debian/osc/usr/bin/osc-wrapper.py $(CURDIR)/debian/osc/usr/bin/osc

=== debian/watch ===
version=4
https://download.opensuse.org/repositories/openSUSE:/Tools/Debian_Unstable/ osc_([0-9.]*).orig.tar.gz

## osc 1.9.2

=== debian/changelog ===
osc (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Sep 2024 14:47:59 +0200

osc (1.9.1-2) unstable; urgency=medium

  * Remove symlinks created to run tests to avoid wrongly installing files
    into /usr/lib/python3/dist-packages/doc/ (Closes: #1081339)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 11 Sep 2024 17:28:29 +0200

osc (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Use https for Homepage

 -- Dylan Aïssi <daissi@debian.org>  Sun, 01 Sep 2024 16:42:10 +0200

osc (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
    - Fix CVE-2024-22034
  * Remove debian/preinst, no longer required
  * Drop override_dh_auto_install: nothing to do here
  * Add debian/upstream/metadata
  * Refresh debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Tue, 20 Aug 2024 11:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/osc
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/osc.git
-Homepage: http://en.opensuse.org/openSUSE:OSC
+Homepage: https://en.opensuse.org/openSUSE:OSC
 Rules-Requires-Root: no
 
 Package: osc

## osc 1.11.1

=== debian/changelog ===
osc (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Drop hardcoded dependencies on python3 packages,
      they are now automatically added when building the package.
  * wrap-and-sort
  * Add git in Build-Deps, used for tests
  * Add debian/salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Jan 2025 14:30:41 +0100

osc (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Add python3-ruamel.yaml in Build-Deps
  * Drop debian/source/lintian-overrides, no longer required

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Nov 2024 11:49:35 +0100

## osc 1.12.0

=== debian/changelog ===
osc (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2025 10:02:05 +0100
